#
# spec file for package perl-Date-Tiny
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Date-Tiny
Version:        1.07
Release:        1.25
%define cpan_name Date-Tiny
Summary:        Date Object, with As Little Code As Possible
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Date-Tiny/
Source0:        http://www.cpan.org/authors/id/D/DA/DAGOLDEN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
*Date::Tiny* is a member of the DateTime::Tiny suite of time modules.

It implements an extremely lightweight object that represents a date,
without any time data.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.mkdn LICENSE README

%changelog
* Mon Jul 11 2016 coolo@suse.com
- remove Date-Tiny-format.patch, which is still upstream (9 years
  should be enough to wait)
* Fri Jun 24 2016 coolo@suse.com
- updated to 1.07
  see /usr/share/doc/packages/perl-Date-Tiny/Changes
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Sat Dec 26 2009 lars@linux-schulserver.de
- update to 1.04
- fixed most rpmlint errors
- respooled Date-Tiny-format.patch
* Tue Dec 11 2007 richard@radoeka.nl
- Added patch Date-Tiny-format.patch, that's needed for ftree2.  The patch
  has been sent to the upstream maintainer.
* Sun Dec  9 2007 richard@radoeka.nl
- Initial rpm build
